10     DIM Mon_osc_v(1:11),Mon_osc_i(1:11),Mon_bias(1:11),Swp_prm(1:11)
20     DIM Osc_mode$[9],Mon_bias$[9],Header$[9],Buff$[9],Img$[30]
30     REAL Osc_pow,Dc_bias
40     CLEAR SCREEN
50     IF SYSTEM$("SYSTEM ID")="HP4294A" THEN 
60       ASSIGN @Hp4294a TO 800
70       ASSIGN @Binary TO 800;FORMAT OFF
80     ELSE
90       ASSIGN @Hp4294a TO 717
100      ASSIGN @Binary TO 717;FORMAT OFF
110    END IF
120    !
130    Osc_mode$="VOLT"
140    Osc_pow=1.0
150    Dc_bias=12.0
160    Dc_b_rng$="M10"
170    Mon_bias$="VOLT"
180    !
190    OUTPUT @Hp4294a;"PRES"
200    OUTPUT @Hp4294a;"STAR 10MHZ"
210    OUTPUT @Hp4294a;"STOP 20MHZ"
220    OUTPUT @Hp4294a;"POIN 11"
230    OUTPUT @Hp4294a;"POWMOD "&Osc_mode$
240    OUTPUT @Hp4294a;"POWE ";Osc_pow
250    OUTPUT @Hp4294a;"DCMOD VOLT"
260    OUTPUT @Hp4294a;"DCV ";Dc_bias
270    OUTPUT @Hp4294a;"DCRNG "&Dc_b_rng$
280    OUTPUT @Hp4294a;"DCO ON"
290    OUTPUT @Hp4294a;"OMON ON"
300    OUTPUT @Hp4294a;"BMON "&Mon_bias$
310    !
320    OUTPUT @Hp4294a;"SING"
330    OUTPUT @Hp4294a;"*OPC?"
340    ENTER @Hp4294a;Buff$
350    !
360    OUTPUT @Hp4294a;"FORM3"
370    !
380    OUTPUT @Hp4294a;"OUTPVAC?"
390    ENTER @Hp4294a USING "#,8A";Header$
400    ENTER @Binary;Mon_osc_v(*)
410    ENTER @Hp4294a USING "#,1A";Buff$
420    !
430    OUTPUT @Hp4294a;"OUTPIAC?"
440    ENTER @Hp4294a USING "#,8A";Header$
450    ENTER @Binary;Mon_osc_i(*)
460    ENTER @Hp4294a USING "#,1A";Buff$
470    !
480    OUTPUT @Hp4294a;"OUTPDC?"
490    ENTER @Hp4294a USING "#,8A";Header$
500    ENTER @Binary;Mon_bias(*)
510    ENTER @Hp4294a USING "#,1A";Buff$
520    !
530    OUTPUT @Hp4294a;"OUTPSWPRM?"
540    ENTER @Hp4294a USING "#,8A";Header$
550    ENTER @Binary;Swp_prm(*)
560    ENTER @Hp4294a USING "#,1A";Buff$
570    !
580    Img$="D.2DE,X,Z.4D,X,D.4DE,X,2D.3D"
590    PRINT "LEVEL MONITOR RESULT"
600    PRINT "Freq[Hz] OscV[V] OscI[A]   DC V[V]"
610    FOR I=1 TO 11
620      PRINT USING Img$;Swp_prm(I),Mon_osc_v(I),Mon_osc_i(I),Mon_bias(I)
630    NEXT I
640    END
5000   !*************************************************
5010   !* DESCRIPTION:  Agilent 4294A Sample Program
5020   !*
5030   !* AUTHOR:       Agilent Technologies Japan, Ltd.
5040   !* CREATED:      4/26/1999
5050   !* PROGRAM NAME: lvl_mon.bas
5060   !* REVISION:     A.01.00
5070   !*
5080   !*    Copyright (c) 1999 Agilent Technologies,
5090   !*             All rights reserved.
5100   !*
5110   !*
5120   !*  Customer shall have the personal, non-
5130   !* transferable rights to use, copy or modify
5140   !* this SAMPLE PROGRAM for Customer's internal
5150   !* operations. Customer shall use the SAMPLE
5160   !* PROGRAM solely and exclusively for its own
5170   !* purpose and shall not license, lease, market
5180   !* or distribute the SAMPLE PROGRAM or
5190   !* modification or any part thereof.
5200   !*
5210   !*  Agilent Technologies shall not be liable for
5220   !* the quality, performance or behavior of the
5230   !* SAMPLE PROGRAM. Agilent Technologies especially
5240   !* disclaims that the operation of the SAMPLE
5250   !* PROGRAM shall be uninterrupted or error free.
5260   !* This SAMPLE PROGRAM is provided AS IS.
5270   !*
5280   !*  AGILENT TECHNOLOGIES DISCLAIMS THE IMPLIED
5290   !* WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
5300   !* A PARTICULAR PURPOSE.
5310   !*
5320   !*  Agilent Technologies shall not be liable for
5330   !* any infringement of any patent, trademark,
5340   !* copyright or other proprietary rights by the
5350   !* SAMPLE PROGRAM or its use. Agilent Technologies
5360   !* does not warrant that the SAMPLE PROGRAM is
5370   !* free from infringements or such rights of third
5380   !* parties. However, Agilent Technologies will not
5390   !* knowingly infringe or deliver a software that
5400   !* infringes the patent, trademark, copyright or
5410   !* other proprietary right of a third party.
5420   !*
5430   !*************************************************
